Open SCAP Library

Data Fields
cce_entry Struct Reference
CCE

Structure holding single CCE entry data. More...

`#include <cce.h>`

## Public Member Functions
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
const char * | cce_entry_get_id (const struct cce_entry *cce)
| Get CCE entry ID.
const char * | cce_entry_get_description (const struct cce_entry *cce)
| Get CCE entry desription.
struct oscap_string_iterator * | cce_entry_get_params (const struct cce_entry *cce)
| Get an iterator to CCE entry's parameters.
struct oscap_string_iterator * | cce_entry_get_tech_mechs (const struct cce_entry *cce)
| Get an iterator to CCE entry's technical mechanisms.
struct cce_reference_iterator * | cce_entry_get_references (const struct cce_entry *cce)
| Get an iterator to CCE entry's references.

## Data Fields
char * | id
char * | description
struct oscap_list * | params
struct oscap_list * | tech_mechs
struct oscap_list * | references

## Detailed Description

Structure holding single CCE entry data.

The documentation for this struct was generated from the following files:

- cce_priv.h
- cce.h